package shukan;

import javax.swing.*;
import java.awt.*;

/** toolbar of Shukan */
public class ShukanViewBar extends JPanel {

    /** Name of the images files for the buttons of the toolbar */
    private String[] imagesName = {"save", "back", "plus", "delete", "left", "right", "export", "parameter"};
    /** Buttons of the toolbar */
    protected JButton buttons[] = new JButton[8];
    /** type of the images */
    private String imagesExtension = ".png";
    /** height in pixel of the toolbar */
    private int height;
    /** Built the toolbar */
    public ShukanViewBar(int height){

        this.height = height;

        for(int i = 0; i<imagesName.length;i++){
            buttons[i] = new JButton("", new ImageIcon("data/images/"+imagesName[i]+imagesExtension));
            buttons[i].setPreferredSize(new Dimension(80,80));
            add(buttons[i]);
        }
    }
    /** return the height of the toolbar in pixels */
    public int getHeight(){return height;}
    /** add actions for the different buttons */
    public void addActionListener(ShukanController controller){
        for(int i =0; i<imagesName.length; i++){
            buttons[i].addActionListener(controller);
        }
    }
}
